Could not load file or assembly 'NHibernate, Version=2.1.0.4000

by sunil ravulapalli /16. June 2010 20:43 /.net-tools /Comments (0)

I got this error when I was trying out Linq to NHibernate.

Looks like I was using an older version of NHibernate.Linq.dll(1.0) with NHibernate.dll (2.1.2.4000).
So I downloaded NHibernate.Linq.dll version 1.1.0.1001, removed my old NHibernate.Linq.dll reference and added this to make my application work.
To get that dll, search for NHibernate.Linq-2.1.2-GA-Bin.zip and extract it using WinRar( WinZip did not work) if you are having similar problems.
blog comments powered by Disqus